| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions
Tp::ContactSearchMap Struct Reference
Mapping types

`#include <TelepathyQt/Types>`

List of all members.

## Public Member Functions

- ContactSearchMap ()
- ContactSearchMap (const QMap< QString, QString > &a)
- ContactSearchMap & operator= (const QMap< QString, QString > &a)

## Detailed Description

Mapping type generated from the specification. Convertible with QMap<QString, QString>, but needed to have a discrete type in the Qt type system.

A map from search keys to search terms.

## Constructor & Destructor Documentation

Tp::ContactSearchMap::ContactSearchMap | ( |  | ) | `[inline]`

Tp::ContactSearchMap::ContactSearchMap | ( | const QMap< QString, QString > & | a | ) | `[inline]`

## Member Function Documentation

ContactSearchMap& Tp::ContactSearchMap::operator= | ( | const QMap< QString, QString > & | a | ) | `[inline]`